%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Configuration settings manager for Xfce
Name:		xfce4-settings
Version:	4.18.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
Url:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfce4-settings/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    xfce-settings-manager.desktop
Source2:    xfce4-settings-editor.desktop
Source3:    xfce4-file-manager.desktop
Source4:   xfce4-mail-reader.desktop
Source5:   xfce4-terminal-emulator.desktop
Source6:   xfce4-web-browser.desktop
Patch0:     0001-Fix-Chromium-helper.patch
#
BuildRequires: git
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: xfce4-dev-tools
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64exo-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64garcon-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xcursor-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel
BuildRequires: lib64xfconf-devel
BuildRequires: lib64xi-devel
BuildRequires: lib64xklavier-devel
BuildRequires: lib64xrandr-devel
BuildRequires: lib64xrender-devel
BuildRequires: x11-driver-input-libinput-devel
BuildRequires: x11-proto-devel
BuildRequires: xfce4-dev-tools
BuildRequires: lib64upower-glib-devel
BuildRequires: colord-devel

Requires: xiccd

Obsoletes: xfce4-settings
Provides: xfce4-settings = %version-%release

%description
Configuration settings manager for Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	--enable-maintainer-mode \
	--enable-sound-settings \
	--enable-libnotify \
	--enable-xrandr \
	--enable-xcursor \
	--enable-libxklavier \
	--enable-pluggable-dialogs \
	--disable-debug \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids

%make_build

%install
rm -rf %buildroot
%make_install

#custom desktop file
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/xfce-settings-manager.desktop
install -m 0644 %SOURCE2 %{buildroot}/%{_datadir}/applications/xfce4-settings-editor.desktop
install -m 0644 %SOURCE3 %{buildroot}/%{_datadir}/applications/xfce4-file-manager.desktop
install -m 0644 %SOURCE4 %{buildroot}/%{_datadir}/applications/xfce4-mail-reader.desktop
install -m 0644 %SOURCE5 %{buildroot}/%{_datadir}/applications/xfce4-terminal-emulator.desktop
install -m 0644 %SOURCE6 %{buildroot}/%{_datadir}/applications/xfce4-web-browser.desktop

rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml

%files
%{_sysconfdir}
%{_libdir}
%{_bindir}
%{_datadir}

%post
%update_menus

%postun
%clean_menus

%changelog
* Sat Dec 02 2023 tex - 4.18.4-1pclos2023
- new version

* Sat Dec 02 2023 tex - 4.18.3-2pclos2023
- rebuild against updates

* Mon Jul 31 2023 tex - 4.18.3-1pclos2023
- new version

* Sun Feb 12 2023 tex - 4.18.2-1pclos2023
- new version

* Fri Dec 23 2022 tex - 4.18.1-1pclos2022
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.3-1pclos2022
- prepare for 4.18 final
